id: tpot-honeypot-detect

info:
  name: T-Pot Honeypot - Detect
  author: rxerium
  severity: info
  description: |
    A tpot dashboard has been detected
  reference:
    - https://github.com/telekom-security/tpotce
  metadata:
    max-request: 1
  tags: tpot,honeypot
http:
  - method: GET
    path:
      - "{{BaseURL}}"

    matchers-condition: and
    matchers:
      - type: word
        part: body
        words:
          - "<title>T-Pot</title>"
          - "T-Pot @ Github"
          - "T-Pot ReadMe"
        condition: and

      - type: status
        status:
          - 200
# digest: 490a0046304402204e1ef4b1d6f5e02c38787a1033bc9f191c4bb02813c4c2fbdcab098c3d0fd0bc02204a98cd4b9936c7b065bc7ab60f9eef0c44023e0fcd893d9e26e30ed1bb22475f:922c64590222798bb761d5b6d8e72950